filters replaces every category, not just the one you name.icps:write OAuth2 scope.X-Api-Key: ********************{
"data": {
"type": "icp",
"attributes": {
"name": "US Enterprise Software Companies"
}
}
}curl --location --request PATCH 'https://api.leadfeeder.com/v1/icps/6080?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"data": {
"type": "icp",
"attributes": {
"name": "US Enterprise Software Companies"
}
}
}'{
"data": {
"type": "icp",
"id": "6080",
"attributes": {
"name": "US Tech Companies",
"created_at": "2024-12-10T15:57:25Z",
"filters": {
"employee_count": [
{
"search_value": "201-500",
"display_value": "201-500 employees",
"negated": false
}
],
"industries": [
{
"search_value": "1594.6",
"display_value": "Software Development",
"negated": false
}
],
"location": [
{
"search_value": "US",
"type": "country_code",
"display_value": "United States",
"negated": false
}
]
}
}
},
"meta": {
"request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}